=== debian/changelog ===
wireguard (1.0.20200319-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 05 Apr 2020 18:16:40 -0700

wireguard (1.0.20200319-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream release.
  * d/watch: Update to find new releases.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 21 Mar 2020 21:30:26 -0400
