=== debian/changelog ===
wireguard (1.0.20200513-1~20.04.2) focal; urgency=medium

  * Switch alternative dependency order for the wireguard-modules,
    wireguard-dkms alternative.  Whichever is first is deemed the
    preferred installation candidate when neither is present.  When this is
    wireguard-modules this is satisfied by installation of a random kernel
    which claims support for wireguard regardless of its applicability.
    Repeat after me, do not ever depend on a kernel.  (LP: #1890201)

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 04 Aug 2020 08:50:04 +0100

wireguard (1.0.20200513-1~20.04.1) focal; urgency=medium

  * Backport latest upstream packages to focal. (LP: #1870293)

 -- Andy Whitcroft <apw@canonical.com>  Sun, 17 May 2020 17:38:24 +0100

wireguard (1.0.20200513-1) unstable; urgency=medium

  * New upstream release.
    - Drop upstream patch.
  * d/control: Lower 'openresolv | resolvconf' to suggests.

 -- Unit 193 <unit193@debian.org>  Fri, 15 May 2020 18:32:16 -0400

wireguard (1.0.20200510-1) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * Add Unit193 to Uploaders
  * wrap-and-sort -ast
  * prefer wireguard-modules (from a kernel package) over wireguard-dkms
  * keygen test only needs wireguard-tools package, not wireguard metapackage

  [ Jason A. Donenfeld ]
  * debian: tests: replace ncat-client with keygen
  * debian: control: set Recommends order same as Depends order

  [ Unit 193 ]
  * New upstream release.
    - Refresh patch.
    - Grab an upstream commit to install wg-quick.target.
  * d/control:
    - Update my email address.
    - Recommend openresolv | resolvconf. (Closes: #930735)
  * d/copyright: Update attribution.
  * d/wireguard-tools.lintian-overrides: Drop override about .gitignore.

 -- Unit 193 <unit193@debian.org>  Tue, 12 May 2020 01:33:42 -0400
