=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: wireguard
 Section: net
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Uploaders:
+ Unit 193 <unit193@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
  dkms,
@@ -39,7 +41,8 @@
  ${shlibs:Depends},
 Recommends:
  nftables | iptables,
- wireguard-dkms (>= 0.0.20191219) | wireguard-modules (>= 0.0.20171001),
+ wireguard-modules (>= 0.0.20171001) | wireguard-dkms (>= 0.0.20191219),
+Suggests: openresolv | resolvconf,
 Description: fast, modern, secure kernel VPN tunnel (userland utilities)
  WireGuard is a novel VPN that runs inside the Linux Kernel and uses
  state-of-the-art cryptography (the "Noise" protocol). It aims to be
