## wireguard 1.0.20200827

=== debian/changelog ===
wireguard (1.0.20200827-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Unit 193 <unit193@debian.org>  Tue, 15 Sep 2020 19:33:53 -0400

wireguard (1.0.20200827-1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Wed, 09 Sep 2020 03:47:59 -0400

wireguard (1.0.20200820-1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sat, 22 Aug 2020 19:19:51 -0400

wireguard (1.0.20200513-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Unit 193 <unit193@debian.org>  Fri, 22 May 2020 03:11:27 -0400

wireguard (1.0.20200319-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 28 Mar 2020 08:15:04 -0400

wireguard (1.0.20200206-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * prepare Vcs for buster-backports

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 06 Mar 2020 01:58:02 -0500
