=== debian/changelog ===
wireguard (1.0.20210223-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Unit 193 <unit193@debian.org>  Wed, 10 Mar 2021 01:08:14 -0500

wireguard (1.0.20210223-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Bump dh compat to 13.
    - Drop Build-Depend on dkms.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Thu, 25 Feb 2021 02:02:36 -0500
