=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Uploaders:
  Unit 193 <unit193@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
- dkms,
+ debhelper-compat (= 13),
  pkg-config,
  systemd,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.wireguard.com
 Vcs-Git: https://salsa.debian.org/debian/wireguard.git -b debian/buster-backports
 Vcs-Browser: https://salsa.debian.org/debian/wireguard
