## wireguard 1.0.20210424

=== debian/changelog ===
wireguard (1.0.20210424-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for the wireguard-modules,
      wireguard-dkms alternative.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 16 Aug 2021 14:20:40 -0400

wireguard (1.0.20210424-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patch.

 -- Unit 193 <unit193@debian.org>  Fri, 13 Aug 2021 17:36:52 -0400

wireguard (1.0.20210223-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for the wireguard-modules,
      wireguard-dkms alternative.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 16 Mar 2021 17:27:19 -0400

wireguard (1.0.20200827-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for the wireguard-modules,
      wireguard-dkms alternative.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 30 Sep 2020 18:52:56 -0400

wireguard (1.0.20200820-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for teh wireguard-modules,
      wireguard-dkms alternative.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 26 Aug 2020 10:42:33 +0100

wireguard (1.0.20200513-1ubuntu1) groovy; urgency=medium

  * Switch alternative dependency order for the wireguard-modules,
    wireguard-dkms alternative.  Whichever is first is deemed the
    preferred installation candidate when neither is present.  When this is
    wireguard-modules this is satisfied by installation of a random kernel
    which claims support for wireguard regardless of its applicability.
    Repeat after me, do not ever depend on a kernel.  (LP: #1890201)

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 03 Aug 2020 22:24:05 +0100
