=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wireguard
 Section: net
 Priority: optional
-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders:
  Unit 193 <unit193@debian.org>,
 Build-Depends:
@@ -10,14 +11,14 @@
  systemd,
 Standards-Version: 4.5.1
 Homepage: https://www.wireguard.com
-Vcs-Git: https://salsa.debian.org/debian/wireguard.git -b debian/buster-backports
+Vcs-Git: https://salsa.debian.org/debian/wireguard.git
 Vcs-Browser: https://salsa.debian.org/debian/wireguard
 Rules-Requires-Root: no
 
 Package: wireguard
 Architecture: all
 Depends:
- wireguard-modules (>= 0.0.20191219) | wireguard-dkms (>= 0.0.20200121-2),
+ wireguard-dkms (>= 0.0.20200121-2) | wireguard-modules (>= 0.0.20191219),
  wireguard-tools (>= ${source:Version}),
  ${misc:Depends},
 Description: fast, modern, secure kernel VPN tunnel (metapackage)
