=== debian/changelog ===
wireguard (1.0.20210914-3ubuntu2) questing; urgency=medium

  * Upstream fix to handle resolvconf migration more gracefully (LP: #2119260):
    - d/p/0005-wg-quick-linux-deal-with-resolvconf-migration-more-g.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 19 Aug 2025 15:51:59 +0200

wireguard (1.0.20210914-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110425). Remaining changes:
    - Drop depends on wireguard-modules (always built-in), wireguard-dkms
      (removed from the archive). This makes wireguard package sort of
      redundant. LP #2008086
    - Cherry-pick upstream fixups from master:
      + d/p/0001-embeddable-wg-library-add-named-wg_endpoint-union.patch
      + d/p/0001-reresolve-dns-use-EPOCHSECONDS-instead-of-date-s.patch
      + d/p/0001-wg-quick-linux-prevent-traffic-from-momentarily-leak.patch
      + d/p/0001-show-apply-const-to-right-part-of-pointer.patch
  * Drop Changes:
    - Add better DEP8 tests (LP: 1952102)
      + d/t/control, d/t/wireguard-wgquick: test using network namespaces
        and wg-quick
      + d/t/netns-mini, d/t/control: test using network namespaces
        and wg, taken from the wireguard-linux-compat package
      [applied in Debian, 1.0.20210914-2]
    - d/rules: add simple build-time test, taken from the existing
      DEP8 test to generate keys (LP: 1952767)
      [applied in Debian, 1.0.20210914-2]
    - Drop 0002-Avoid-requiring-glibc-2.25-for-wireguard-tools.patch as
      glibc-2.25 has been around since forever.
      [applied (dropped) in Debian, 1.0.20210914-2]

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 13 Aug 2025 11:42:16 +0200

wireguard (1.0.20210914-3) unstable; urgency=medium

  * d/wireguard-tools.lintian-overrides: Refresh overrides.
  * d/t/control:
    - Use skip-not-installable to skip tests on arches lacking a kernel.
      Closes: #1102292

 -- Unit 193 <unit193@debian.org>  Thu, 10 Apr 2025 02:10:05 -0400

wireguard (1.0.20210914-2) unstable; urgency=medium

  [ Andreas Hasenack / Lukas Märdian ]
  * Add a simple keygen test, run at build-time and as DEP8.
  * Add new wg-quick DEP8 test
  * Add new netns-mini DEP8 test
  * debian: Add salsa-ci.yml

  [ Unit 193 ]
  * d/rules, d/p/0001-Avoid-using-git-during-build.patch:
    - Set WIREGUARD_TOOLS_VERSION during build, dropping patch.
  * d/p/0002-Avoid-requiring-glibc-2.25-for-wireguard-tools.patch:
    - Drop patch no longer needed.
  * Update Standards-Version to 4.7.2.

 -- Unit 193 <unit193@debian.org>  Tue, 01 Apr 2025 03:07:24 -0400

wireguard (1.0.20210914-1.1ubuntu2) plucky; urgency=medium

  * d/t/control: make wg-quick test depend on iputils-ping
  * d/t/control: run wg-quick test in container
  * d/t/control: run netns-mini test in container
  * d/rules: move build-time-test.sh to separate file

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 15 Jan 2025 09:55:16 +0100

wireguard (1.0.20210914-1.1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064481). Remaining changes:
    - Add better DEP8 tests (LP #1952102):
      + d/t/control, d/t/wireguard-wgquick: test using network namespaces
        and wg-quick
      + d/t/netns-mini, d/t/control: test using network namespaces
        and wg, taken from the wireguard-linux-compat package
    - d/rules: add simple build-time test, taken from the existing
      DEP8 test to generate keys (LP #1952767)
    - Drop depends on wireguard-modules (always built-in), wireguard-dkms
      (removed from the archive). This makes wireguard package sort of
      redundant. LP #2008086
    - Drop 0002-Avoid-requiring-glibc-2.25-for-wireguard-tools.patch as
      glibc-2.25 has been around since forever.
    - Cherry-pick upstream fixups from master.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 13 Aug 2024 14:32:47 -0300

wireguard (1.0.20210914-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on systemd-dev instead of systemd (Closes: #1060572)
  * Switch to pkgconf

 -- Luca Boccassi <bluca@debian.org>  Thu, 30 May 2024 16:12:29 +0100

wireguard (1.0.20210914-1ubuntu4) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:22:11 +0200

wireguard (1.0.20210914-1ubuntu3) lunar; urgency=medium

  * Drop depends on wireguard-modules (always built-in), wireguard-dkms
    (removed from the archive). This makes wireguard package sort of
    redundant. LP: #2008086
  * Drop 0002-Avoid-requiring-glibc-2.25-for-wireguard-tools.patch as
    glibc-2.25 has been around since forever.
  * Cherry-pick upstream fixups from master.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 22 Feb 2023 12:35:51 +0000

wireguard (1.0.20210914-1ubuntu2) jammy; urgency=medium

  * Add better DEP8 tests (LP: #1952102):
    - d/t/control, d/t/wireguard-wgquick: test using network namespaces
      and wg-quick
    - d/t/netns-mini, d/t/control: test using network namespaces
      and wg, taken from the wireguard-linux-compat package
  * d/rules: add simple build-time test, taken from the existing
    DEP8 test to generate keys (LP: #1952767)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 07 Dec 2021 08:33:57 -0300

wireguard (1.0.20210914-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for the wireguard-modules,
      wireguard-dkms alternative.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 23 Nov 2021 11:41:45 -0500

wireguard (1.0.20210914-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.0.

 -- Unit 193 <unit193@debian.org>  Mon, 27 Sep 2021 21:21:06 -0400
