=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  Unit 193 <unit193@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- pkg-config,
- systemd,
-Standards-Version: 4.5.1
+ pkgconf,
+ systemd-dev,
+Standards-Version: 4.7.2
 Homepage: https://www.wireguard.com
 Vcs-Git: https://salsa.debian.org/debian/wireguard.git
 Vcs-Browser: https://salsa.debian.org/debian/wireguard
@@ -18,7 +18,6 @@
 Package: wireguard
 Architecture: all
 Depends:
- wireguard-dkms (>= 0.0.20200121-2) | wireguard-modules (>= 0.0.20191219),
  wireguard-tools (>= ${source:Version}),
  ${misc:Depends},
 Description: fast, modern, secure kernel VPN tunnel (metapackage)
@@ -40,7 +39,6 @@
  ${shlibs:Depends},
 Recommends:
  nftables | iptables,
- wireguard-modules (>= 0.0.20171001) | wireguard-dkms (>= 0.0.20191219),
 Suggests: openresolv | resolvconf,
 Description: fast, modern, secure kernel VPN tunnel (userland utilities)
  WireGuard is a novel VPN that runs inside the Linux Kernel and uses
