=== debian/watch ===
version=4
opts=mode=git,pgpmode=gittag \
 https://git.zx2c4.com/wireguard-tools \
 refs/tags/v?([\d\.]+)
