=== debian/changelog ===
wireguard (1.0.20250521-1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Mon, 25 Aug 2025 20:38:13 -0400
