=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: wireguard
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders:
  Unit 193 <unit193@debian.org>,
 Build-Depends:
@@ -18,6 +17,7 @@
 Package: wireguard
 Architecture: all
 Depends:
+ wireguard-modules (>= 0.0.20191219) | wireguard-dkms (>= 0.0.20200121-2),
  wireguard-tools (>= ${source:Version}),
  ${misc:Depends},
 Description: fast, modern, secure kernel VPN tunnel (metapackage)
@@ -39,6 +39,7 @@
  ${shlibs:Depends},
 Recommends:
  nftables | iptables,
+ wireguard-modules (>= 0.0.20171001) | wireguard-dkms (>= 0.0.20191219),
 Suggests: openresolv | resolvconf,
 Description: fast, modern, secure kernel VPN tunnel (userland utilities)
  WireGuard is a novel VPN that runs inside the Linux Kernel and uses
